Subject: Re: bug#34179: 27.0.50; message hangs when buffer with process visible

From: martin rudalics <[email-masked]>
Date: Thu, 24 Jan 2019 19:33:41 +0100

> I think `window--adjust-process-windows' finishes without error.  My
 > impression is that it's something that it does that causes the hang
 > later.  When I use debug-on-quit, window--adjust-process-windows is not
 > in the Lisp backtrace.
 >
 > When I trace 'window--adjust-process-windows', I don't see unnaturally
 > many calls of that function, so it also doesn't seem to be part of some
 > kind of infloop.

All it does is call 'set-process-window-size' and I see no way either
how that could cause a hang.  BTW can you trigger the hang without
'w3m-message' involved?

martin